require 'yaml'
module Codebreaker
  module Data
    def save
      File.open('/app/lib/data.yaml', 'a') do |file|
        YAML.dump({ player: @player, hints_left: @hints_left, \
                    attempts: @attempts, score: score }, file)
      end
    end

    def load
      file = File.open('/app/lib/data.yaml')
      games = []
      file.nil? ? "No #{file} file found." : YAML.load_stream(file) { |doc| games << doc }
      games
    end
  end
end
